Summary:	XFree86-Misc X extension library
Summary(pl.UTF-8):	Biblioteka rozszerzenia X XFree86-Misc
Name:		xorg-lib-libXxf86misc
Version:	1.0.3
Release:	3
License:	MIT
Group:		X11/Libraries
Source0:	http://xorg.freedesktop.org/releases/individual/lib/libXxf86misc-%{version}.tar.bz2
# Source0-md5:	6bc0bf78909fd71021c466c793d4385c
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-proto-xf86miscproto-devel
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
XFree86-Misc X extension library.

%description -l pl.UTF-8
Biblioteka rozszerzenia X XFree86-Misc.

%package devel
Summary:	Header files for libXxf86misc library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libXxf86misc
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	xorg-lib-libXext-devel
Requires:	xorg-proto-xf86miscproto-devel

%description devel
XFree86-Misc X extension library.

This package contains the header files needed to develop programs that
use libXxf86misc.

%description devel -l pl.UTF-8
Biblioteka rozszerzenia X XFree86-Misc.

Pakiet zawiera pliki nagłówkowe niezbędne do kompilowania programów
używających biblioteki libXxf86misc.

%package static
Summary:	Static libXxf86misc library
Summary(pl.UTF-8):	Biblioteka statyczna libXxf86misc
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
XFree86-Misc X extension library.

This package contains the static libXxf86misc library.

%description static -l pl.UTF-8
Biblioteka rozszerzenia X XFree86-Misc.

Pakiet zawiera statyczną bibliotekę libXxf86misc.

%prep
%setup -q -n libXxf86misc-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/libXxf86misc.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%attr(755,root,root) %{_libdir}/libXxf86misc.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libXxf86misc.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libXxf86misc.so
%{_pkgconfigdir}/xxf86misc.pc
%{_mandir}/man3/XF86Misc*.3*

%files static
%defattr(644,root,root,755)
%{_libdir}/libXxf86misc.a
%changelog
* Wed Feb 25 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-lib-libXxf86misc.git;a=log;h=master

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> cf4ac92
- x32 rebuild
- release 3 (by relup.sh)

* Tue Dec 30 2014 Jan Rękorajski <baggins@pld-linux.org> 87dc022
- fix files

* Tue May 31 2011 Tomasz Pala <gotar@pld-linux.org> fe0a7d6
- removed unused *.la files

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> aa2aee3
- dropped pre-cvs changelog

* Mon Nov 22 2010 Jakub Bogusz <qboosh@pld-linux.org> 6793e27
- updated to 1.0.3

* Thu Nov 12 2009 Patryk Zawadzki <patrys@room-303.com> 2ec3d29
- rebuild
- rel 2

* Fri Oct 09 2009 Jakub Bogusz <qboosh@pld-linux.org> f88530d
- updated util-macros version
- ghost soname symlink
- added README to doc, more verbose descs

* Fri Oct 09 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> cb9d3ae
- up to 1.0.2

* Wed Nov 05 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 5ca96fb
- release 5

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 4c9bdba
- release 4

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> c7a03a7
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 5c986dd
- converted to UTF-8

* Fri Nov 24 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 11f74db
- rebuild

* Tue Nov 21 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> b3afae4
- rebuild

* Thu Apr 27 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> fb07ebe
- up to 1.0.1

* Mon Apr 17 2006 Jakub Bogusz <qboosh@pld-linux.org> d82b875
- release 1

* Wed Dec 28 2005 Jakub Bogusz <qboosh@pld-linux.org> 0d64e34
- sources from X11R7.0 release

* Tue Dec 20 2005 Jakub Bogusz <qboosh@pld-linux.org> 1769c9d
- 1.0.0 (X11R7.0-RC4)

* Sun Dec 04 2005 Jakub Bogusz <qboosh@pld-linux.org> ff5187f
- -devel desc fixes

* Sun Dec 04 2005 Jakub Bogusz <qboosh@pld-linux.org> c1f17d9
- 0.99.2 (X11R7.0-RC3)

